# vim: set sw=4 ts=4 et nu:

Name:               idjc
Version:            0.8.7
Release:            3.15
Summary:            Internet DJ Console
Source:             http://prdownloads.sourceforge.net/idjc/idjc-%{version}.tar.gz
Patch2:             idjc-fix_pyexecdir.patch
Patch3:             idjc-libogg.patch
URL:                http://sourceforge.net/projects/idjc/
Group:              Productivity/Multimedia/Sound/Players
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libshout-devel
BuildRequires:      libffmpeg_oldabi-devel
BuildRequires:      mad-devel
BuildRequires:      speex-devel
BuildRequires:      flac-devel
BuildRequires:      libmp3lame-devel
BuildRequires:      libsamplerate-devel
BuildRequires:      libsndfile-devel
BuildRequires:      python-devel >= 2.7
BuildRequires:      python-gtk-devel
BuildRequires:      python-mutagen
BuildRequires:      python-irclib
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files
BuildRequires:      fdupes
Requires:           python >= 2.7
Requires:           python-gtk
Requires:           python-mutagen
Requires:           python-irclib

%description
A GTK+ Shoutcast/Icecast client with two main media players, a jingles player,
crossfader, ogg and mp3 streaming, stream automation timers, aux input, Voice
and VoIP integration. File formats: mp3, ogg, flac, wma, wav, m4a, m3u, pls,
and others.

%prep
%setup -q
%patch2
%patch3

%build
%configure \
    --enable-mad \
    --enable-ffmpeg \
    --enable-speex \
    --enable-flac \
    --enable-lame \
    --disable-static \
    --disable-rpath

%__make %{?_smp_mflags}

%install
%makeinstall

%__rm -rf "%{buildroot}%{_datadir}/doc"

%suse_update_desktop_file -r "%{name}" AudioVideo Player

%fdupes -s "%{buildroot}%{_datadir}"
%fdupes -s "%{buildroot}%{_usr}/lib"

%find_lang "%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/idjc
%{_bindir}/idjcctrl
%{_usr}/lib/idjcmixer
%{_usr}/lib/idjcsourceclient
%{python_sitelib}/idjc
#%{python_sitelib}/idjcgui.py*
%{_datadir}/applications/idjc.desktop
%{_datadir}/idjc
%doc %{_mandir}/man1/idjc.1*
%doc %{_mandir}/man1/idjcctrl.1*
%{_datadir}/pixmaps/idjc.png

%changelog
* Thu May 31 2012 Manfred.Tremmel@iiv.de
- ffmpeg calls are outdated, compile against ffmpeg_oldabi
* Wed Jan 11 2012 pascal.bleser@opensuse.org
- update to 0.8.7:
  * added italian translation
  * user interface tweaks for consistency including the greater use of GTK
    stock labels
- changes from 0.8.6:
  * Jingles player revamped
  * Player headroom now also features in 'Green Phone' VoIP mode
  * Resampling now defaults to 'Fast' mode. Fastest should never be used for
    sound quality reasons which made it a stupid default.
  * Added 'Random Hop' playlist mode.
  * Improvements to the end of track silence trimmer.
  * Merged the mic and aux audio features into the new concept of channel.
  * Bindings upper target limit values revised.
  * Window opener buttons replaced by a menu to save space.
  * Fixed double free and memory leak in audio_feed.c.
  * Album metadata is now logged in tracks played and history.log.
  * Added new Troubleshooting tab in server configuration. This includes the
    new ability to set the user agent string.
  * Code refactored in c/audiofeed.c. No longer assumes both jack client IDs to
    be of the same length.
  * Mouseover popup of the main media players now indicates the album if that
    metadata is available.
  * GUI remembers previous window maximized state as well as the unmaximised
    size.
  * Replaced XChat plugin with python-irclib based integrated IRC.
  * New profile manager.
  * Program launcher is now written in Python, replacing Bash.
  * Fixed libavcodecdecode.c to work with libavcodec 0.7 (Obsolete macro
    updated)
  * Visible state for per-server metadata.
* Sun Oct 23 2011 pascal.bleser@opensuse.org
- fix build on Factory by adding linker flags for libogg
- use system libshout instead of a static in-tree
* Sat Oct 22 2011 pascal.bleser@opensuse.org
- initial version (0.8.5)
